// pages/grade/grade.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },
    // 修改年级
    changeGrade: function (e) {
      const grade = e.target.dataset.code;
      wx.setStorageSync('grade', grade)
      this.setData({
        grade: grade
      })
  
      let gradeText = '一年级';
      switch (e.target.dataset.code) {
        case '0':
          gradeText = '学前班';
          break;
        case '1':
          gradeText = '一年级';
          break;
        case '2':
          gradeText = '二年级';
          break;
        case '3':
          gradeText = '三年级';
          break;
      }
    },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})